uk.ac.starlink.task

## Class ParameterValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - uk.ac.starlink.task.TaskException
      - - uk.ac.starlink.task.UsageException
        - - uk.ac.starlink.task.ParameterValueException

- All Implemented Interfaces:
    java.io.Serializable

      public class ParameterValueException
      extends UsageException

  Exception generated when the value of a parameter is invalid.

  Note each of the constructors takes the parameter in question as its first argument.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterValueException(Parameter par)`
    `ParameterValueException(Parameter par, java.lang.String message)`
    `ParameterValueException(Parameter par, java.lang.String message, java.lang.Throwable cause)`
    `ParameterValueException(Parameter par, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parameter` | `getParameter()` Returns the parameter with which this exception is associated.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterValueException

          public ParameterValueException(Parameter par)

    - #### ParameterValueException

          public ParameterValueException(Parameter par,
                                         java.lang.String message)

    - #### ParameterValueException

          public ParameterValueException(Parameter par,
                                         java.lang.String message,
                                         java.lang.Throwable cause)

    - #### ParameterValueException

          public ParameterValueException(Parameter par,
                                         java.lang.Throwable cause)

  - ### Method Detail

    - #### getParameter

          public Parameter getParameter()

      Returns the parameter with which this exception is associated.
      Returns:
        parameter

Copyright © 2017 Central Laboratory of the Research Councils. All Rights Reserved.